Bug 650424 - [abrt] pdfshuffler-0.5-2.fc14: pdf.py:607:read:PdfReadError: EOF marker not found
Summary: [abrt] pdfshuffler-0.5-2.fc14: pdf.py:607:read:PdfReadError: EOF marker not f...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: pdfshuffler
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:200e184f
Depends On: 660139
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-06 10:18 UTC by Peque
Modified: 2011-01-12 23:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-12 23:09:03 UTC


Attachments (Terms of Use)
File: backtrace (810 bytes, text/plain)
2010-11-06 10:18 UTC, Peque
no flags Details

Description Peque 2010-11-06 10:18:08 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/pdfshuffler
comment: Just clicked on "Export PDF"
component: pdfshuffler
executable: /usr/bin/pdfshuffler
kernel: 2.6.35.6-48.fc14.x86_64
package: pdfshuffler-0.5-2.fc14
reason: pdf.py:607:read:PdfReadError: EOF marker not found
release: Fedora release 14 (Laughlin)
time: 1289038627
uid: 500

backtrace
-----
pdf.py:607:read:PdfReadError: EOF marker not found

Traceback (most recent call last):
  File "/usr/bin/pdfshuffler", line 411, in choose_export_pdf_name
    self.export_to_file(file_out)
  File "/usr/bin/pdfshuffler", line 432, in export_to_file
    pdfdoc_inp = PdfFileReader(file(pdfdoc.copyname, 'rb'))
  File "/usr/lib/python2.7/site-packages/pyPdf/pdf.py", line 277, in __init__
    self.read(stream)
  File "/usr/lib/python2.7/site-packages/pyPdf/pdf.py", line 607, in read
    raise utils.PdfReadError, "EOF marker not found"
PdfReadError: EOF marker not found

Local variables in innermost frame:
line: '%tonepad.com 88.23.185.120 10/14/2010 2:43:45 PM'
self: <pyPdf.pdf.PdfFileReader object at 0x1f78b10>
stream: <open file '/tmp/tmpVnghzEpdfshuffler/01_tonepad_octavia.pdf', mode 'rb' at 0x1f415d0>

Comment 1 Peque 2010-11-06 10:18:12 UTC
Created attachment 458303 [details]
File: backtrace

Comment 3 Peque 2010-12-19 17:01:11 UTC
Package: pdfshuffler-0.5-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
The error occured when I clicked on "save", after selecting the "export" option. The application didn't crash.


Note You need to log in before you can comment on or make changes to this bug.